// booststack support, as well as boostlib

local function getsneakertimer(p)
	if (driftmodData and driftmodData.isOn) then return 0 end // just return 0 on dirftnitro
	if not (p.mo and p.mo.valid) then return 0 end // die lmao
	// BoostLib
	if BLib then
		local mo = p.mo
		local stack = mo.itemsneakertimer
		if mo.panelsneakertimer then stack = $+mo.panelsneakertimer end
		
		return stack
	end
	if BLib then return 0 end // above wasnt met
	return p.kartstuff[k_sneakertimer] // Vanilla/BoostStack
end

local function getstackedsneakers(p)
	if (driftmodData and driftmodData.isOn) then return 0 end // again, just return 0 on dirftnitro
	if not (p.mo and p.mo.valid) then return 0 end // die again lmao
	
	// BoostLib
	/*
	if BLib then
		local mo = p.mo
		// we dont want to get it if it doesnt matter
		local stack = ((blib_sneakeritemboost.value > 0 and blib_sneakerstack.value > 1) and mo.stackedsneakers or 0)
		if (blib_sneakerpanelboost.value > 0 and blib_panelstack.value > 1) and mo.stackedpanels then stack = $+mo.stackedpanels end
		
		return stack
	end
	*/
	if BLib and p.stackedboosts ~= nil then return p.stackedboosts end
	
	// BoostStack
	if booststack and booststack.running then
		local stack = booststack.stackedGradeSum(p.mo)
		if p.stackedboosts ~= nil then
			stack = p.stackedboosts
		end
		
		return stack
	end
	
	return 0
end

IT_EditItemTimer({
	name = "shoe",
	timer = getsneakertimer,
	patches = {"K_ISSHOE"},
	anim_frames = 1
})

IT_AddItemTimer({
	name = "stackedboost",
	timer = getstackedsneakers,
	patches = {"DRSP1", "DRSP2"},
	raw_number = 1,
	anim_frames = 2
}, true)