local hq_dyk = {
	{msg = "Grow+ allows for item usage while active. Go wreak havoc!", cvartrue = "hq_huge"},
	{msg = "Item odds during Grow+ heavily favor attack items, with a chance to roll 4x Orbis or 10x Bananas!", cvartrue = "hq_huge"},
	{msg = "Most attacks items are now larger when used during Grow+. Some even split on impact!", cvartrue = "hq_huge"},
	{msg = "Grow+ will offer offroad immunity, allowing you to gain ground faster at the cost of a smaller speed bonus and duration compared to Vanilla Grow.", cvartrue = "hq_offroad"},
	{msg = "Your Grow+ timer will extend if using another Grow while active.", cvartrue = "hq_huge"},
	{msg = "Your Invincibility timer will extend if using another Invincibility while active.", cvartrue = "hq_sparkle"}
}

local hqload = false
local function HQ_Hostmod()
	if HOSTMOD and not hqload then	--check for hostmod
		for i = 1, #hq_dyk
			HM_Scoreboard_AddTip(hq_dyk[i])
		end

		HM_Scoreboard_AddMod({disp = "Grow+ Timer Stack", var = "hq_huge"})
		HM_Scoreboard_AddMod({disp = "Grow+ No Offroad", var = "hq_offroad"})
		HM_Scoreboard_AddMod({disp = "Grow+ Eggbomb Karma", var = "hq_huge"})
		HM_Scoreboard_AddMod({disp = "Inv+ Timer Stack", var = "hq_sparkle"})
		hqload = true
	end
end

addHook("MapLoad", HQ_Hostmod)
addHook("NetVars", HQ_Hostmod) -- Joiners don't run MapLoad